X Makalelerini Toplu Getir
X Makalelerini Toplu Getir.
API Belgelerine Dön
/Article Endpoints
POST
/x/articleAPI Yetkilendirmesi
AuthorizationBearer token · headerzorunluTwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
İstek Gövdesi
zorunluapplication/jsonArray of
stringstringYanıtlar
200A list of objects containing detailed article data for each valid ID provided.
codeintegerzorunluHTTP durum kodu (200 başarılı anlamına gelir)
msgstringzorunluYanıt mesajı (örn: 'success')
dataXArticleModel[]zorunluUç nokta tarafından döndürülen ana veri
Özellikleri gösterÖzellikleri gizle
Array of
XArticleModeltweet_idstring | anyTweetin benzersiz ID'si
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyfull_textstring | anyTweetin tam metni
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anycreated_atstring | anyOluşturulma zamanı (UTC)
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anylangstring | anyThe language
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anybookmark_countinteger | anyYer işareti sayısı
Özellikleri gösterÖzellikleri gizle
Any of:
integer
integerany
anyfavorite_countinteger | anyBeğeni sayısı
Özellikleri gösterÖzellikleri gizle
Any of:
integer
integerany
anyreply_countinteger | anyYanıt sayısı
Özellikleri gösterÖzellikleri gizle
Any of:
integer
integerany
anyretweet_countinteger | anyRetweet sayısı
Özellikleri gösterÖzellikleri gizle
Any of:
integer
integerany
anyquote_countinteger | anyQuote count
Özellikleri gösterÖzellikleri gizle
Any of:
integer
integerany
anyview_countstring | anyGörüntülenme sayısı
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyview_count_statestring | anyView count state
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyconversation_idstring | anyConversation ID
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyauthor_user_idstring | anyAuthor user ID
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyauthor_screen_namestring | anyYazarın Twitter kullanıcı adı (@ olmadan)
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyauthor_namestring | anyYazarın görünen adı
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyauthor_is_blue_verifiedboolean | anyWhether author is blue verified
Özellikleri gösterÖzellikleri gizle
Any of:
boolean
booleanany
anyauthor_verifiedboolean | anyWhether author is verified
Özellikleri gösterÖzellikleri gizle
Any of:
boolean
booleanany
anyauthor_is_verified_organization_affiliateboolean | anyWhether author is verified organization
Özellikleri gösterÖzellikleri gizle
Any of:
boolean
booleanany
anyarticle_idstring | anyArticle ID
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyarticle_titlestring | anyArticle title
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyarticle_preview_textstring | anyArticle preview text
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyarticle_summary_textstring | anyArticle summary text
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyarticle_cover_image_urlstring | anyArticle cover image URL
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyarticle_blocksArticleBlock[]Article formatting blocks
Özellikleri gösterÖzellikleri gizle
Array of
ArticleBlocktypestringzorunluThe type of the article block.
textstringzorunluMesaj metni
entityRangesArticleBlockRange[]The entity ranges of the article block.
Özellikleri gösterÖzellikleri gizle
Array of
ArticleBlockRangekeyintegerzorunluThe key of the entity range.
lengthintegerzorunluThe length of the entity range.
offsetintegerzorunluThe offset of the entity range.
article_plain_textstring | anyArticle plain text
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyarticle_markdownstring | anyArticle markdown
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyarticle_media_image_urlsstring[]Article media image URLs
422Parametre Doğrulama Hatası
detailValidationError[]Özellikleri gösterÖzellikleri gizle
Array of
ValidationErrorlocstring | integer[]zorunluÖzellikleri gösterÖzellikleri gizle
Array of
string | integerAny of:
string
stringinteger
integermsgstringzorunluYanıt mesajı (örn: 'success')
typestringzorunluinputanyctxobject⚡Etkileşimli KonsolPOST
⚡Etkileşimli Konsol / API TestiPOSTLive Console
🌐Hedef Sunucu:
https://api.twexapi.io● Canlı Ortam Hazır
🔍
Genel Veri Okuma (Yalnızca TwexAPI Anahtarı, Twitter Çerezi Gerekmez)
Bu uç nokta herkese açık Twitter verilerini sorgular — Twitter hesabı veya Çerez gerekmez! Test etmek için aşağıdaki "API Yetkilendirmesi"ne TwexAPI Anahtarınızı (Bearer Token) girmeniz yeterlidir.
🔑API Yetkilendirmesi
📝İstek Gövdesiapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
İstek
curl -X POST "https://api.twexapi.io/x/article" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '[
"1803006263529541838",
"1803006263529541839"
]'const response = await fetch("https://api.twexapi.io/x/article", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify([
"1803006263529541838",
"1803006263529541839"
])
});import requests
response = requests.post(
"https://api.twexapi.io/x/article",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json=[
"1803006263529541838",
"1803006263529541839"
],
)Yanıt
{
"code": 0,
"msg": "string",
"data": [
{
"tweet_id": "string",
"full_text": "string",
"created_at": "string",
"lang": "string",
"bookmark_count": 0,
"favorite_count": 0,
"reply_count": 0,
"retweet_count": 0,
"quote_count": 0,
"view_count": "string",
"view_count_state": "string",
"conversation_id": "string",
"author_user_id": "string",
"author_screen_name": "string",
"author_name": "string",
"author_is_blue_verified": true,
"author_verified": true,
"author_is_verified_organization_affiliate": true,
"article_id": "string",
"article_title": "string",
"article_preview_text": "string",
"article_summary_text": "string",
"article_cover_image_url": "string",
"article_blocks": [
{
"type": "string",
"text": "string",
"entityRanges": [
{
"key": 0,
"length": 0,
"offset": 0
}
]
}
],
"article_plain_text": "string",
"article_markdown": "string",
"article_media_image_urls": [
"string"
]
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}